# norootforbuild
%define		pkg_name    pecl_http
%define		pkg_version %(php-config --version | awk -F. '{print $1"."$2 }' 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
%define		php_version %(php-config --version 2>/dev/null)
%if "%{pkg_version}" >= "5.6"
%define		my_version 2.4.3
%define		upstream 1
BuildRequires:	libevent-devel
BuildRequires:	php5-raphf
BuildRequires:	php5-propro
Requires:	php5-raphf
Requires:	php5-propro
%else
%define		my_version 1.7.6
%define		upstream 0
%endif
#
Name:		php5-pecl_http
Version:	%{my_version}
Release:	5.4
#
License:	BSD
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build

#yes, PHP modules are required for build, as configure tests it's precence, to enable
#or disable features.
BuildRequires:	php-devel curl-devel file-devel libevent php-iconv php-hash
BuildRequires:	pkg-config libevent-devel libidn-devel libicu-devel
Requires:	php5 = %{php_version} php-iconv php-hash
#
URL:		http://pecl.php.net/pecl_http
Source:		http://pecl.php.net/package/pecl_http/%{pkg_name}-%{my_version}.tar.bz2
%if "%{upstream}" == "0"
Source1:	http.ini
%else
Source1:	http-2.4.3.ini
%endif
Patch0:		pecl_http-2.4.3_debug.patch
Summary:	Extended HTTP Support

%description

Extended HTTP Support

Authors:
---------
    Michael Wallner <mike@php.net>

%package        devel
Summary:        Include files of php5-pecl_http
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{my_version} php5-devel curl-devel file-devel libevent

%description   devel

Extended HTTP Support

Authors:
---------
    Michael Wallner <mike@php.net>


%prep
%setup -q -n %{pkg_name}-%{my_version}
%if "%{upstream}" == "1"
%patch0
%endif

#%{__mkdir} %{name}

%build
if [ -x /usr/bin/php ] ; then
export PHP_EXECUTABLE="/usr/bin/php"
elif [ -x /usr/bin/php5 ] ; then
export PHP_EXECUTABLE="/usr/bin/php5"
else
export PHP_EXECUTABLE="/usr/local/bin/php"
fi

/usr/bin/phpize
#pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"

%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

%configure \
--with-php=$PHP_EXECUTABLE \
--with-http-magic-mime=%{_usr} \
--with-http-zlib-compression=%{_usr} \
--with-http-curl-requests=%{_usr} \
%if "%{upstream}" == "1"
--without-http-shared-deps \
%else
--with-http-shared-deps \
%endif
--with-libdir=%{_lib} || cat config.log
$PHP_EXECUTABLE -v
$PHP_EXECUTABLE -m

%{__make} %{?jobs:-j%jobs}

export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2

%{__make} test

unset NO_INTERACTION REPORT_EXIT_STATUS MALLOC_CHECK_

%install

%makeinstall INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
%{__install} -m 644 %{S:1} %{buildroot}%{_sysconfdir}/php5/conf.d/http.ini

%clean
%{__rm} -rf %{buildroot}

%post
for file in /etc/php5/conf.d/propro.ini /etc/php5/conf.d/raphf.ini ; do
 if [ -f ${file} ] ; then
  sed -i -r s@"^(extension\s?=.*)"@";\1"@ ${file}
 fi
done

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/http.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/http.ini

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/php5/ext/http
%if "%{upstream}" == "0"
%dir %{_includedir}/php5/ext/http/phpstr
%{_includedir}/php5/ext/http/*.h
%{_includedir}/php5/ext/http/phpstr/*.h
%doc lib
%else
%{_includedir}/php5/ext/http/php_*.h
%endif
%doc LICENSE CREDITS KnownIssues.txt

%changelog
* Tue Dec 13 2016 cs@linux-administrator.com
- update to release 3.1.0
* Tue Jan 19 2016 cs@linux-administrator.com
- update to release 3.0.0
* Fri Apr 10 2015 cs@linux-administrator.com
- add release 2.4.3 for php releases greater than 5.6
* Thu Jun 20 2013 cs@linux-administrator.com
- update to release 1.7.6
* Sun Mar  3 2013 cs@linux-administrator.com
- update to release 1.7.5
* Mon Apr  9 2012 cs@linux-administrator.com
- update to release 1.7.4
* Wed Mar 14 2012 cs@linux-administrator.com
- update to release 1.7.3
* Thu Feb 23 2012 cs@linux-administrator.com
- update to release 1.7.2
* Fri May  6 2011 cs@linux-administrator.com
- update to release 1.7.1
